#include <iostream>

using namespace std;

int main()
{
   short int n,br=0;
   int l;
cin>>n>>l;
int h[n];
for(int i=0;i<n;i++){
    cin>>h[i];
}
  while(br<n){

    if(h[br]<=l){

            break;
    }
    br++;
  }
   if(br==n){
    cout<<"-1"<<endl;
   }
   else{
        br++;
    cout<<br<<endl;
   }

    return 0;
}